Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content
Class InvalidNodeNameException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.content.RepositoryException
                  com.bea.content.InvalidNodeNameException

All Implemented Interfaces
  Serializable

    public class InvalidNodeNameException

extends RepositoryException

This is the main checked exception for any error thrown from the SPI. All other checked Exceptions should be subclasses. This Exception may be used for validation errors.

See Also
  Serialized Form

Constructor Summary
`InvalidNodeNameException(String message)`
`InvalidNodeNameException(String message, boolean log)`
`InvalidNodeNameException(String message, Throwable cause)`
`InvalidNodeNameException(String message, Throwable cause, boolean log)`
`InvalidNodeNameException(Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidNodeNameException

    public InvalidNodeNameException(String message)

### InvalidNodeNameException

    public InvalidNodeNameException(String message,
                                    boolean log)

### InvalidNodeNameException

    public InvalidNodeNameException(String message,
                                    Throwable cause)

### InvalidNodeNameException

    public InvalidNodeNameException(Throwable cause)

### InvalidNodeNameException

    public InvalidNodeNameException(String message,
                                    Throwable cause,
                                    boolean log)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved